---
title: PushMessageData.json()
slug: Web/API/PushMessageData/json
tags:
  - API
  - Experimental
  - JSON
  - Method
  - Push
  - PushMessageData
  - Reference
  - Service Workers
---
<p>{{APIRef("Push API")}}{{SeeCompatTable()}}</p>

<p>The <code><strong>json()</strong></code>method of the {{domxref("PushMessageData")}} interface extracts push message data by parsing it as a <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON">JSON</a> string and returning the result.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myData = PushEvent.data.json();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>The result of parsing push event data as JSON. This could be anything that can be represented by JSON — an object, an array, a string, a number...</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">self.addEventListener('push', function(event) {
  var myData = event.data.json();

  // do something with your data
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API', '#dom-pushmessagedata-json', 'json()')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushMessageData.json")}}</p>
</div>
